package co.yixiang.yshop.module.distributor.convert.distributorlevel;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributorlevel.DistributorLevelDO;

/**
 * 分销商等级 Convert
 *
 * @author admin
 */
@Mapper
public interface DistributorLevelConvert {

    DistributorLevelConvert INSTANCE = Mappers.getMapper(DistributorLevelConvert.class);

    DistributorLevelDO convert(DistributorLevelCreateReqVO bean);

    DistributorLevelDO convert(DistributorLevelUpdateReqVO bean);

    DistributorLevelRespVO convert(DistributorLevelDO bean);

    List<DistributorLevelRespVO> convertList(List<DistributorLevelDO> list);

    PageResult<DistributorLevelRespVO> convertPage(PageResult<DistributorLevelDO> page);

    List<DistributorLevelExcelVO> convertList02(List<DistributorLevelDO> list);

}
